//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_Invoice
    {
        public int Id { get; set; }
        public string PartnerId { get; set; }
        public string CustomerId { get; set; }
        public string CustomerName { get; set; }
        public string CustomerDomainName { get; set; }
        public string CustomerCountry { get; set; }
        public string InvoiceNumber { get; set; }
        public string MpnId { get; set; }
        public string ResellerMpnId { get; set; }
        public string OrderID { get; set; }
        public Nullable<System.DateTime> OrderDate { get; set; }
        public string ProductId { get; set; }
        public string SkuId { get; set; }
        public string AvailabilityId { get; set; }
        public string SkuName { get; set; }
        public string ProductName { get; set; }
        public string ChargeType { get; set; }
        public Nullable<decimal> UnitPrice { get; set; }
        public Nullable<int> Quantity { get; set; }
        public Nullable<decimal> SubTotal { get; set; }
        public Nullable<decimal> TaxTotal { get; set; }
        public Nullable<decimal> Total { get; set; }
        public string Currency { get; set; }
        public string DiscountDetails { get; set; }
        public string PublisherName { get; set; }
        public string PublisherId { get; set; }
        public string SubscriptionDescription { get; set; }
        public string SubscriptionId { get; set; }
        public Nullable<System.DateTime> ChargeStartDate { get; set; }
        public Nullable<System.DateTime> ChargeEndDate { get; set; }
        public string TermAndBillingcycle { get; set; }
        public Nullable<decimal> EffectiveUnitPrice { get; set; }
        public string UnitType { get; set; }
        public string AlternateId { get; set; }
        public Nullable<int> InvoiceId { get; set; }
    }
}
